Class List Method List File List

# Module: Yast::SambaClientComplexInclude

Defined in:
  ../../src/include/samba-client/complex.rb

## Instance Method Summary (collapse)

- - (Object) initialize_samba_client_complex(include_target)
- - (Object) Modified

  Return a modification status.

- - (Object) ReadDialog

  Read settings dialog.

- - (Object) WriteDialog

  Write settings dialog.

## Instance Method Details

### - (`Object`) initialize_samba_client_complex(include_target)

    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    # File '../../src/include/samba-client/complex.rb', line 30

    def initialize_samba_client_complex(include_target)
      Yast.import "UI"

      textdomain "samba-client"

      Yast.import "PackageSystem"
      Yast.import "Samba"
      Yast.import "Wizard"

      Yast.include include_target, "samba-client/helps.rb"
      Yast.include include_target, "samba-client/routines.rb"
    end

### - (`Object`) Modified

Return a modification status

Returns:

- true if data was modified

    46
    47
    48
    # File '../../src/include/samba-client/complex.rb', line 46

    def Modified
      Samba.GetModified
    end

### - (`Object`) ReadDialog

Read settings dialog

Returns:

- `abort if aborted and`next otherwise

    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    # File '../../src/include/samba-client/complex.rb', line 52

    def ReadDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "read", ""))

      # check installed packages
      if !PackageSystem.CheckAndInstallPackagesInteractive(["samba-client"])
        Builtins.y2warning("package samba-client not installed")
        return :abort
      end

      ret = Samba.Read
      ret ? :next : :abort
    end

### - (`Object`) WriteDialog

Write settings dialog

Returns:

- `abort if aborted and`next otherwise

    67
    68
    69
    70
    71
    # File '../../src/include/samba-client/complex.rb', line 67

    def WriteDialog
      Wizard.RestoreHelp(Ops.get_string(@HELPS, "write", ""))
      ret = Samba.Write(false)
      ret ? :next : :abort
    end